#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 http3
version:              0.0.2
visibility:           public
id:                   http3-0.0.2-AUFD0i81Frb5WiAAai2rty
key:                  http3-0.0.2-AUFD0i81Frb5WiAAai2rty
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
homepage:             https://github.com/kazu-yamamoto/http3
synopsis:             HTTP/3 library
description:          HTTP/3 library including frames, QPACK, client and server.
category:             Network
abi:                  e92c0961216d546906f2db38134ae78b
exposed:              True
exposed-modules:
    Network.HQ.Client Network.HQ.Server Network.HTTP3.Client
    Network.HTTP3.Internal Network.HTTP3.Server Network.QPACK
    Network.QPACK.Internal

hidden-modules:
    Imports Network.HTTP3.Config Network.HTTP3.Context
    Network.HTTP3.Control Network.HTTP3.Error Network.HTTP3.Frame
    Network.HTTP3.Recv Network.HTTP3.Send Network.HTTP3.Settings
    Network.HTTP3.Stream Network.QPACK.Error Network.QPACK.HeaderBlock
    Network.QPACK.HeaderBlock.Decode Network.QPACK.HeaderBlock.Encode
    Network.QPACK.HeaderBlock.Prefix Network.QPACK.Instruction
    Network.QPACK.Table Network.QPACK.Table.Dynamic
    Network.QPACK.Table.RevIndex Network.QPACK.Table.Static
    Network.QPACK.Token Network.QPACK.Types

import-dirs:          /usr/lib/ghc-9.2.8/site-local/http3-0.0.2
library-dirs:         /usr/lib/ghc-9.2.8/site-local/http3-0.0.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-http3
hs-libraries:         HShttp3-0.0.2-AUFD0i81Frb5WiAAai2rty
depends:
    array-0.5.4.0 base-4.16.4.0 bytestring-0.11.4.0
    case-insensitive-1.2.1.0-AaasGaU67AZI2uOcvgi7uv containers-0.6.5.1
    http-types-0.12.4-HtCYpQIQFjj1M0lE5V2LXG
    http2-4.1.0-Bb4jUbSsN1ALF70UhrtEeB
    network-3.1.4.0-Hw2M7QXfBbV5zvwWyCqJAC
    network-byte-order-0.1.7-8Wb9MBmdsnYAp65wZlMSzk
    quic-0.1.6-LfTgo5He9CEEgpYXb5tR42
    sockaddr-0.0.1-IAaWlgOA3GC7VTDBsji7ww stm-2.5.0.2
    time-manager-0.0.1-VlaI7XB3IkARpybMaedmh
    unliftio-0.2.25.0-GCGuYURqqybKqtlFVsyJQb

haddock-interfaces:   /usr/share/doc/haskell-http3/html/http3.haddock
haddock-html:         /usr/share/doc/haskell-http3/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

